Things that still need to be done: -*- Text -*-

 o - Performance

   All performance could be tuned, but one area that could be looked
   at especially is performance with flags, particularly
   --detect-odr-violations and --compress-debug-sections.

 o - Threads

   Why is the usertime when we run with threads the same (or almost
   the same) as when we run without?  Is it because threads spend most
   of their time waiting on the same resources?  On each other?
   Something else?

 o - ODR false positives

   ODR false positives can happen when we optimize, since code in .h
   files may be optimized in different ways in different compilation
   units.  It's possible we could fix this for real by looking at the
   full debug info and using DW_TAG_inlined_subroutine in a clever way
   to correct for inlining.  But that would be very expensive, I
   think.  The easier solution is to recommend people only do
   ODR-detection with -g0.

 o - Better testing
